unit legendu;

// Copyright (c) 1999 by Ziff-Davis, Inc.
// Written by Neil J. Rubenking

// Note: This form is completely dependent on the form defined
// in nufpicku.pas; it is not useful separately

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, StdCtrls, ExtCtrls;

type
  TLegendForm = class(TForm)
    tvLegend  : TTreeView;
    btnOK     : TButton;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure btnOKClick(Sender: TObject);
    procedure tvLegendCollapsing(Sender: TObject; Node: TTreeNode;
      var AllowCollapse: Boolean);
    procedure tvLegendChange(Sender: TObject; Node: TTreeNode);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  LegendForm: TLegendForm;

implementation

uses nufpicku, allfuncs;

{$R *.DFM}

procedure TLegendForm.FormCreate(Sender: TObject);
begin
  GetPosFmEXEName(Application.ExeName, Self, False);
end;

procedure TLegendForm.FormDestroy(Sender: TObject);
begin
  SetPosToEXEName(Application.ExeName, Self, False);
end;

procedure TLegendForm.btnOKClick(Sender: TObject);
begin
  Hide;
end;

procedure TLegendForm.tvLegendCollapsing(Sender: TObject;
  Node: TTreeNode; var AllowCollapse: Boolean);
begin
  // Don't permit the tree to collapse
  AllowCollapse := False;
end;

procedure TLegendForm.tvLegendChange(Sender: TObject;
  Node: TTreeNode);
begin
  // Don't highlight the selected node
  IF Node <> nil THEN (Sender AS TTreeView).Selected := nil;
end;

end.


 
